<template>
  <div id="navbar">
    <div class="body">
      <label @click="toHome">Trang chủ</label>
      <div v-if="!$store.getters.isAuthenticated">
        <router-link :to='{name: "Login", query: {link: $route.fullPath}}' class="login-btn" style="text-decoration: none">Đăng Nhập</router-link>
      </div>
      <div v-else style="position: relative">
        <label v-if="user" class="user-name" @click="showMenu">{{ user.first_name + ' ' + user.last_name }}</label>
        <label v-else class="user-name" @click="showMenu">Vô danh</label>
        <UserMenu v-show="menuShow" @onLogOut="logOut"/> 
      </div>
    </div>
  </div>
</template>

<script>
import UserMenu from './UserMenu.vue'

export default {
  name: "NavBar",
  components: {
    UserMenu
  },
  data(){
    return {
      menuShow: false,
      user: this.$store.getters.getUser,
    }
  },
  methods: {
    toHome(){
      this.$router.push({name: "Home"})
    },
    showMenu(){
      this.menuShow = !this.menuShow
    },
    logOut(){
      this.menuShow = false
    }
  },
  setup() {
    
  },
}
</script>

<style scoped>
#navbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 10px;
  background: white;
  width: calc(100% - 20px);
  height: fit-content;
  box-shadow: 0 5px 10px #ddd;
}

.body{
  margin: 0 auto;
  width: 100%;
  max-width: 960px;
  display: flex;
  justify-content: space-between;
}

.body > label:hover {
  color: #666;
  cursor: pointer;
}

.login-btn{
  border: 1px solid blue;
  padding: 5px 15px;
  color: blue;
  font-weight: 400;
  background: transparent;
  border-radius: 4px;
}

.login-btn:hover {
  cursor: pointer;
}

.user-name:hover {
  cursor: pointer;
}
</style>